SDL_HINT_JOYSTICK_RAWINPUT(3)

NAME
SDL_HINT_JOYSTICK_RAWINPUT - A variable controlling whether the RAWINPUT joystick drivers should be used for better handling XInput-capable devices.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_RAWINPUT SDL_JOYSTICK_RAWINPUT"

DESCRIPTION
The variable can be set to the following values:

• "0": RAWINPUT drivers are not used.

• "1": RAWINPUT drivers are used. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.